net.i2p.router.web

## Class NetDbHelper

- java.lang.Object
- - net.i2p.router.web.HelperBase
  - - net.i2p.router.web.NetDbHelper

    public class NetDbHelper
    extends HelperBase

### Field Summary

### Fields inherited from class net.i2p.router.web.HelperBase

`_context, _out`

### Constructor Summary

Constructors
Constructor and Description
`NetDbHelper()`

### Method Summary

Methods
`String` `getNetDbSummary()`
`void` `setFull(String f)`
`void` `setLease(String l)`
`void` `setRouter(String r)`

### Methods inherited from class net.i2p.router.web.HelperBase

`_, _, _, _x, ngettext, setContextId, storeWriter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NetDbHelper

    public NetDbHelper()

### Method Detail

#### setRouter

    public void setRouter(String r)

#### setFull

    public void setFull(String f)

#### setLease

    public void setLease(String l)

#### getNetDbSummary

    public String getNetDbSummary()